﻿<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:template match="/">
	<!--Description: Cut Fill report-->
	<!--CreatedBy: Autodesk Inc. -->
	<!-- Deutsche Anpassung : udo@CAD-Huebner.de - 2016-09-22 -->
<HTML>
<BODY> 
<p>
<table style="BACKGROUND-COLOR:#000000;WIDTH:100%;BORDER-COLLAPSE:collapse;HEIGHT:40px" border="0" cellSpacing="2" borderColor="#000000" cellPadding="3">
  <tbody>
    <tr>
      <td style="WIDTH:100%"><h1 style="TEXT-ALIGN: center"><font color="#FFFFFF">Auf- und Abtragsbericht</font></h1></td>
    </tr>
  </tbody>
</table>
</p>
<p style="TEXT-ALIGN:left">
<table style="BACKGROUND-COLOR:#ffffff;WIDTH:100%;BORDER-COLLAPSE:collapse" border="0" cellSpacing="2" borderColor="#000000" cellPadding="3">
  <tbody>
    <tr>
      <td style="WIDTH:20%"><b>erstellt am:</b></td>
      <td style="WIDTH:80%"><xsl:value-of select="AeccCutFillReport/GeneratedTime"/></td>
    </tr>
    <tr>
      <td style="WIDTH:20%"><b>erstellt von:</b></td>
      <td style="WIDTH:80%"><xsl:value-of select="AeccCutFillReport/User"/></td>
    </tr>
    <tr>
      <td style="WIDTH:20%"><b>Zeichnung:</b></td>
      <td style="WIDTH:80%"><xsl:value-of select="AeccCutFillReport/Drawing"/></td>
    </tr>
  </tbody>
</table>
</p>
<p style="TEXT-ALIGN: left">&#160;</p>
<p style="TEXT-ALIGN: left">
<table style="BACKGROUND-COLOR:#ffffff;WIDTH:100%;BORDER-COLLAPSE:collapse" border="1" cellSpacing="2" borderColor="#000000" cellPadding="8">
  <tbody>
    <tr style="HEIGHT:45px">
      <td style="BACKGROUND-COLOR:#000000;WIDTH:100%" colSpan="8"><font color="#FFFFFF"><b>&#160;Mengen</b></font></td>
    </tr>
    <tr style="HEIGHT:45px">
      <td style="WIDTH:10%" align="middle"><b>Name</b></td>
      <td style="WIDTH:10%" align="middle"><b>Typ</b></td>
      <td style="WIDTH:10%" align="middle"><b>Abtragsfaktor</b></td>
      <td style="WIDTH:10%" align="middle"><b>Auftragsfaktor</b></td>
      <td style="WIDTH:15%" align="middle"><p style="LINE-HEIGHT:0"><b>2D Fläche</b></p><p style="LINE-HEIGHT:0">(<xsl:value-of select="AeccCutFillReport/AreaUnit"/>)</p></td>
      <td style="WIDTH:15%" align="middle"><p style="LINE-HEIGHT:0"><b>Abtrag</b></p><p style="LINE-HEIGHT:0">(<xsl:value-of select="AeccCutFillReport/VolumeUnit"/>)</p></td>
      <td style="WIDTH:15%" align="middle"><p style="LINE-HEIGHT:0"><b>Auftrag</b></p><p style="LINE-HEIGHT:0">(<xsl:value-of select="AeccCutFillReport/VolumeUnit"/>)</p></td>
      <td style="WIDTH:15%" align="middle"><p style="LINE-HEIGHT:0"><b>Netto</b></p><p style="LINE-HEIGHT:0">(<xsl:value-of select="AeccCutFillReport/VolumeUnit"/>)</p></td>
    </tr>
	<xsl:for-each select="AeccCutFillReport/VolumeSummary/Volume">
	<xsl:sort select="@name"/>
     <tr style="HEIGHT:30px">
      <td>&#160;<xsl:value-of select="@name"/></td>
      <td>&#160;<xsl:value-of select="@type"/></td>
      <td>&#160;<xsl:value-of select="@CutFactor"/></td>
      <td>&#160;<xsl:value-of select="@FillFactor"/></td>
      <td>&#160;<xsl:value-of select="@Area"/></td>
      <td>&#160;<xsl:value-of select="@Cut"/></td>
      <td>&#160;<xsl:value-of select="@Fill"/></td>
      <td>&#160;<xsl:value-of select="@Net"/></td>
    </tr>
	</xsl:for-each>
  </tbody>
</table>
</p>
<table style="BACKGROUND-COLOR:#ffffff;WIDTH:100%;BORDER-COLLAPSE:collapse" border="1" cellSpacing="2" borderColor="#000000" cellPadding="8">
  <tbody>
     <tr style="HEIGHT:45px">
      <td style="BACKGROUND-COLOR:#000000;WIDTH:100%" colSpan="5"><font color="#FFFFFF"><b>&#160;Gesamt</b></font></td>
    </tr>
     <tr style="HEIGHT:45px">
      <td style="WIDTH:40%"></td>
      <td style="WIDTH:15%" align="middle"><p style="LINE-HEIGHT:0"><b>2D Fläche</b></p><p style="LINE-HEIGHT:0">(<xsl:value-of select="AeccCutFillReport/AreaUnit"/>)</p></td>
      <td style="WIDTH:15%" align="middle"><p style="LINE-HEIGHT:0"><b>Abtrag</b></p><p style="LINE-HEIGHT:0">(<xsl:value-of select="AeccCutFillReport/VolumeUnit"/>)</p></td>
      <td style="WIDTH:15%" align="middle"><p style="LINE-HEIGHT:0"><b>Auftrag</b></p><p style="LINE-HEIGHT:0">(<xsl:value-of select="AeccCutFillReport/VolumeUnit"/>)</p></td>
      <td style="WIDTH:15%" align="middle"><p style="LINE-HEIGHT:0"><b>Netto</b></p><p style="LINE-HEIGHT:0">(<xsl:value-of select="AeccCutFillReport/VolumeUnit"/>)</p></td>
    </tr>
    <tr style="HEIGHT:30px">
      <td>&#160;<xsl:value-of select="AeccCutFillReport/Totals/@name"/></td>
      <td>&#160;<xsl:value-of select="AeccCutFillReport/Totals/@Area"/></td>
      <td>&#160;<xsl:value-of select="AeccCutFillReport/Totals/@Cut"/></td>
      <td>&#160;<xsl:value-of select="AeccCutFillReport/Totals/@Fill"/></td>
      <td>&#160;<xsl:value-of select="AeccCutFillReport/Totals/@Net"/></td>
    </tr>
  </tbody>
</table>
<table style="BACKGROUND-COLOR:#ffffff;WIDTH:100%;BORDER-COLLAPSE:collapse" border="0" cellSpacing="2" borderColor="#000000" cellPadding="3">
  <tbody>
    <tr>
      <td style="TEXT-ALIGN:right">* Wert durch Auf- und Abtragsfaktoren ungleich 1.0 angepasst</td>
    </tr>
  </tbody>
</table>
</BODY>
</HTML>
</xsl:template>
</xsl:stylesheet>